> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tokens List

` GET /blockscout/tokens `

Get Tokens List

## Servers

- ` https://data-api.b3.fun/ ` — B3 Data API - Multi-Chain Proxy

## Parameters

### ` q ` (query, optional)

- ` value `: type ` string `

  - example: ` "USDT" `

Example:

```json
"USDT"
```

### ` type ` (query, optional)

- ` value `: type ` string `

  - example: ` "ERC-20,ERC-721,ERC-1155" `

Example:

```json
"ERC-20,ERC-721,ERC-1155"
```

## Responses

### ` 200 ` — Token

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` items `, ` next_page_params `

  - ` items `: type ` array `

    - ` array item `: type ` object `

      - Required fields: ` address `, ` circulating_market_cap `, ` icon_url `, ` symbol `, ` name `, ` decimals `, ` type `, ` holders `, ` exchange_rate `, ` total_supply `

      - ` circulating_market_cap `: type ` string `

        - example: ` "83606435600.3635" `

      - ` icon_url `: type ` string `

        - example: ` "https://raw.githubusercontent.com/trustwallet/assets/master/blockchains/ethereum/assets/0xdAC17F958D2ee523a2206206994597C13D831ec7/logo.png" `

      - ` name `: type ` string `

        - example: ` "Tether USD" `

      - ` decimals `: type ` string `

        - example: ` "6" `

      - ` symbol `: type ` string `

        - example: ` "USDT" `

      - ` address `: type ` string `

        - example: ` "0x394c399dbA25B99Ab7708EdB505d755B3aa29997" `

      - ` type `: type ` string `

        - example: ` "ERC-20" `

      - ` holders `: type ` string `

        - example: ` "837494234523" `

      - ` exchange_rate `: type ` string `

        - example: ` "0.99" `

      - ` total_supply `: type ` string `

        - example: ` "10000000" `

  - ` next_page_params `: type ` object `

    - example: ` {"contract_address_hash":"0x68749665ff8d2d112fa859aa293f07a622782f38","holder_count":1011,"is_name_null":false,"items_count":50,"market_cap":"482534473.2170469","name":"Tether Gold"} `

### ` 400 ` — Bad Input Parameter

## Request examples

### cURL

```curl
curl -X GET 'https://data-api.b3.fun//blockscout/tokens'
```

### JavaScript

```javascript
const response = await fetch('https://data-api.b3.fun//blockscout/tokens', {
  method: 'GET'
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

response = requests.get('https://data-api.b3.fun//blockscout/tokens')
print(response.json())
```